/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.2
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* General Styles
------------------------------------------------------------------- */
body {
    color: #fff;
}

a {
    color: #D4AF37;
}

.text-shadow-sm {
    text-shadow: 3px 3px 0 rgba(0, 0, 0, 0.2);
}

/* Layout Adjustments
------------------------------------------------------------------- */
#content,
.elementor-location-archive,
.elementor-location-single {
    margin-top: 75px;
}

@media (max-width: 767px) {
    #content,
    .elementor-location-archive,
    .elementor-location-single {
        margin-top: 60px;
    }
}

/* Input Styles
------------------------------------------------------------------- */
input[type="number"] {
    background-color: #fff !important;
    color: #1c1c1c !important;
}

input[type="number"].xoo-wsc-qty {
    background-color: transparent;
    border: none;
    color: #fff;
    padding: 0 !important;
}

/* Sidebar Cart
------------------------------------------------------------------- */
.xoo-wsc-header,
.xoo-wsc-body,
.xoo-wsc-footer,
.xoo-wsc-product,
.xoo-wsc-sp-container,
.xoo-wsc-sp-product {
    background-color: #0C090A;
}

.xoo-wsc-product { 
    border-bottom: none; 
}

.xoo-wsc-img-col { 
    width: 25%; 
    background-color: #2f2f2f; 
    border-radius: 8px; 
    padding-top: 12px; 
}

.xoo-wsc-img-col .xoo-wsc-pattern-row .xoo-wsc-sum-col {
    width: 75%;
}

.xoo-wsc-sm-info {
    align-items: flex-start;
    height: 100%;
    position: relative;
}

span.xoo-wsc-pname,
span.xoo-wsc-pname a {
font-family: "Bebas Neue", Sans-serif;
    font-weight: 500;
    font-size: 24px;
    text-decoration: none;
}

.xoo-wsc-qty-box {
    position: absolute;
    right: 0;
    bottom: 0;
}

span.xoo-wsc-del-txt {
    position: absolute;
    left: 0;
    bottom: 0;
    text-decoration: underline;
}

.xoo-wsc-smr-ptotal {
    font-weight: bold;
}

.xoo-wsc-sm-right {
    max-width: none;
}

.xoo-wsch-text {
    font-weight: 900;
    font-size: 30px;
}

span.xoo-wsc-sp-heading {
    font-family: "Bebas Neue", Sans-serif;
    font-weight: 600;
    font-size: 24px;
    text-align: left;
    padding: 16px;
}

.xoo-wsc-sp-slider .xoo-wsc-sp-product {
    padding: 16px 32px;
}

.xoo-wsc-sp-container .lSAction > a {
    background-size: 50%;
    background-repeat: no-repeat;
    max-width: none;
    width: 16px;
    height: 16px;
    border-radius: 100%;
    background-color: #fff;
}

.xoo-wsc-sp-container .lSAction > .lSPrev {
    left: 16px;
}

.xoo-wsc-sp-container .lSAction > .lSNext {
    right: 16px;
}

.xoo-wsc-sp-left-col {
    max-width: 100px;
    padding: 12px;
    background-color: #2f2f2f;
    border-radius: 8px;
}

.xoo-wsc-sp-title {
font-family: "Bebas Neue", Sans-serif;
    font-weight: 600;
    font-size: 18px;
}

.xoo-wsc-body span.amount {
    font-weight: bold;
}

span.xoo-wsc-sp-atc a.button {
    background-color: #D4AF37;
    color: #000;
    font-weight: 500;
    padding: 4px 12px;
    border-radius: 50px;
    font-family: "Bebas Neue", Sans-serif;
    text-decoration: none;
    letter-spacing: .5px;
}

.xoo-wsc-ft-buttons-cont {
    display: block;
}

.xoo-wsc-ft-buttons-cont a.xoo-wsc-ft-btn,
.xoo-wsc-markup .xoo-wsc-btn {
    background-color: transparent;
    color: #d4ae36;
    border: 2px solid #d4ae36;
    padding: 10px 20px;
    width: calc(50% - 12px);
    display: inline-block;
    margin: 6px;
    border-radius: 50px;
    font-weight: 500;
    text-align: center;
    font-family: "Bebas Neue", Sans-serif;
    letter-spacing: 1px;
}

.xoo-wsc-ft-btn-checkout {
    background-color: #d4ae36 !important;
    color: #0C090A !important;
    font-weight: bold;
    width: calc(100% - 12px) !important;
}

.xoo-wsc-cart-active .xoo-wsc-container,
.xoo-wsc-slider-active .xoo-wsc-slider {
    right: 0;
    z-index: 9999999;
}

.xoo-wsch-text {
    font-family: "Bebas Neue", Sans-serif;
    letter-spacing: 1px;
    font-size: 40px;
}

.xoo-wsc-body span.amount {
    font-size: 20px;
    font-family: "Bebas Neue", Sans-serif;
    letter-spacing: 1px;
}

.xoo-wsc-sp-title a {
    font-family: "Bebas Neue", Sans-serif;
    font-weight: 500;
    font-size: 24px;
    text-decoration: none;
}

span.xoo-wsc-ft-amt-label {
    font-family: "Bebas Neue", Sans-serif;
    font-weight: 500;
    font-size: 24px;
    text-decoration: none;
}

/* Product Page
------------------------------------------------------------------- */
.bos4w-display-options label {
    color: #fff;
}

.featured-product__image-wrapper {
    aspect-ratio: 1 / 1;
}

.featured-product__image {
    object-fit: contain;
}

.featured-product:hover .featured-product__image-wrapper {
    background-color: #fff;
}

/* Shop Archive
------------------------------------------------------------------- */
.wcpb-product-badges-loop-container {
    background-color: #48484A;
    border-radius: 12px;
    max-width: 100% !important;
}

.wcpb-product-badges-loop-container img {
    padding: 24px;
}

.wcpb-product-badges-loop-container .wcpb-product-badges-badge:nth-child(2) {
    width: 100% !important;
}

.wcpb-product-badges-badge.wcpb-product-badges-badge-top-left {
    top: 12px;
    left: 12px;
}

.wcpb-product-badges-badge:nth-child(2) div {
    border-bottom-left-radius: 12px !important;
    border-bottom-right-radius: 12px !important;
    border-top-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
    padding-top: 4px !important;
    padding-bottom: 4px !important;
}

.product .woocommerce-loop-product__title {
    margin: 0 12px !important;
}

.product .price {
    margin: 0 12px;
}

.product .add_to_cart_button {
    text-align: center !important;
}

/* Elementor Elements
------------------------------------------------------------------- */
.line-title span {
    padding: 0 100px;
    position: relative;
}

.line-title span::before,
.line-title span::after {
    content: "";
    height: 2px;
    width: 80px;
    position: absolute;
    top: 50%;
    background-color: #fff;
}

.line-title span::before {
    left: 0;
}

.line-title span::after {
    right: 0;
}

.bos4w-or-subscribe {
    display: none;
}

.elementor-widget-woocommerce-cart .e-cart-section {
    background-color: #2c2c2c;
    border-radius: 12px;
}

.elementor-widget-woocommerce-cart .woocommerce .cart th,
.elementor-widget-woocommerce-cart .woocommerce table.cart td span,
.elementor-widget-woocommerce-cart .woocommerce .cart_totals table.shop_table td .woocommerce-Price-amount,
.elementor-widget-woocommerce-cart .woocommerce .cart_totals table.shop_table td::before {
    color: #fff;
}

.elementor-widget-woocommerce-cart .woocommerce a:not(.add_to_cart_button):not(.restore-item):not(.wc-backward):not(.wc-forward),
.elementor-widget-woocommerce-cart .woocommerce .remove {
    color: #D4AF37;
}

.elementor-widget-woocommerce-cart .woocommerce a:not(.add_to_cart_button):not(.restore-item):not(.wc-backward):not(.wc-forward):hover {
    color: #F6CE66 !important;
}

.elementor-widget-woocommerce-cart .woocommerce .input-text.qty {
    color: #fff;
    padding: 0 8px;
}

.elementor-widget-woocommerce-cart .woocommerce .wc-proceed-to-checkout .checkout-button {
    background-color: #D4AF37;
    color: #0F0B0B;
}

.elementor-widget-woocommerce-cart .woocommerce .wc-proceed-to-checkout .checkout-button:hover {
    background-color: #EFC53F;
    color: #0F0B0B;
}

.elementor-kit-6 input:focus:not([type="button"]):not([type="submit"]),
.elementor-kit-6 textarea:focus,
.elementor-kit-6 .elementor-field-textual:focus {
    background: transparent;
    color: #fff !important;
}

.elementor-widget-woocommerce-checkout-page .select2-container--default .select2-selection--single .select2-selection__placeholder,
.elementor-widget-woocommerce-checkout-page .select2-container--default .select2-selection--single .select2-selection__rendered {
    color: #fff !important;
    padding-bottom: 36px !important;
    line-height: 2em !important;
}

.elementor-widget-woocommerce-checkout-page .woocommerce .shipping_address,
.elementor-widget-woocommerce-checkout-page .woocommerce .woocommerce-additional-fields {
    background: transparent !important;
    padding: 0 !important;
}

.select2-selection__placeholder {
    padding-bottom: 0 !important;
    color: #999 !important;
    font-size: 16px;
}

#default-checkout #shipping_city_field input, #default-checkout #shipping_state_field, #default-checkout #shipping_postcode_field input, #default-checkout #billing_city_field input, #default-checkout #billing_state, #default-checkout #billing_postcode_field input {
    height: 62px;
}
#order_comments_field .woocommerce-input-wrapper {
    width: 100% !important;
}

.create-account {
    display: flex;
    align-items: center;
}

.create-account label {
    position: static !important;
    margin-left: 8px;
}

#account_password_field {
    margin-top: 20px;
    margin-bottom: 20px !important;
}

.password-field {
    position: relative;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
}

.password-field input {
    flex-grow: 1;
    padding-right: 35px; /* Space for the eye icon */
}

.password-field .toggle-password {
    position: absolute;
    right: 10px;
    top: 20px;
    cursor: pointer;
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
}

.woocommerce-password-strength.bad {
    background-color: #a00;
    border-color: #a00;
}

.woocommerce-password-strength.good {
    background-color: #F39C12;
    border-color: #F39C12;
}

.woocommerce-password-strength.strong {
    background-color: #27AE60;
    border-color: #27AE60;
}

.e-wc-error-notice .woocommerce-error {
    background-color: #a00;
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    column-gap: 12px;
    color: #fff;
}

.e-wc-error-notice .woocommerce-error li {
    color: #fff !important;
}

.e-wc-error-notice .woocommerce-error:before {
    position: static;
}

.create-account {
    display: flex !important;
}

#ship-to-different-address { 
    display: none !important; 
}
/* WooCommerce Checkout
------------------------------------------------------------------- */

#shipping-restrictions {
    font-weight: bold;
    color: #D4AF37;
    font-weight: bold;
    margin-bottom: 24px !important;
    font-family: "Lora", Sans-serif !important;
}

.woocommerce-checkout {
    background-color: #fff !important;
}

.select2-selection.select2-selection--single {
  border: none !important;
}

/* Hidden Elements
------------------------------------------------------------------- */

#default-checkout #shipping_country_field,
#default-checkout #billing_email_field,
#default-checkout #billing_phone_field,
.hidden-item {
    display: none !important;
}

/* Payment Method Forms
------------------------------------------------------------------- */
#wc-authorize-net-cim-credit-card-credit-card-form {
    padding: 0 !important;
    border: none !important;
}

.wc-authorize-net-cim-credit-card-new-payment-method-form {
    display: flex !important;
    flex-wrap: wrap !important;
    gap: 20px !important;
    justify-content: space-between !important;
    margin: 24px 0 !important;
}

.wc-authorize-net-cim-credit-card-new-payment-method-form .clear {
    display: none;
}

.wc-authorize-net-cim-credit-card-new-payment-method-form .form-row {
    width: 100% !important;
}

#wc-authorize-net-cim-credit-card-account-number_field {
    width: 100% !important;
    display: block;
}

#wc-authorize-net-cim-credit-card-expiry_field,
#wc-authorize-net-cim-credit-card-csc_field {
    width: calc(50% - 10px) !important;
    display: block;
}

.wc-authorize-net-cim-credit-card-new-payment-method-form label[for="wc-authorize-net-cim-credit-card-tokenize-payment-method"],
label[for="payment_method_authorize_net_cim_credit_card"] {
    position: initial !important;
    top: 0 !important;
    left: 0 !important;
    margin-bottom: 0 !important;
}

.woocommerce-checkout #payment div.form-row {
    padding: 0 !important;
}

#multi-step-checkout .checkout-cart-container .checkout-cart-heading span.woocommerce-Price-amount.amount {
    display: none !important;
}

#multi-step-checkout #payment .payment_methods .payment_box, #multi-step-checkout #payment {
    background-color: transparent !important;
    padding: 0 !important
}
.woocommerce-validated {
    display: flex;
    align-items: center;
}

.woocommerce-validated input {
    margin-right: 8px !important;
}

.elementor-widget-woocommerce-checkout-page .woocommerce .woocommerce-privacy-policy-text p {
    margin-top: 0;
}

.woocommerce-terms-and-conditions-wrapper .form-row.validate-required {
    display: flex;
    align-items: center;
    margin-top: 12px;
}

.place-order label {
    position: relative;
    top: 0;
    margin-bottom: 0;
    left: 0;
}

.woocommerce-checkout .elementor-location-single {
    margin-top: 0 !important;
}

#multi-step-checkout input::placeholder,
#multi-step-checkout textarea::placeholder {
    font-family: "Lora", Sans-serif !important;
    font-size: 16px;
    line-height: 2;
    font-weight: 400;
}